/* RTL & Persian overrides */
@import url("https://fonts.googleapis.com/css2?family=Vazirmatn:wght@300;400;500;600;700;800;900&display=swap");

@font-face {
  font-family: "Kook";
  font-style: normal;
  font-weight: 200;
  font-display: swap;
  src: url("../fonts/kook/woff2/KookFaNum-ExtraLight.woff2") format("woff2"),
    url("../fonts/kook/woff/KookFaNum-ExtraLight.woff") format("woff");
}

@font-face {
  font-family: "Kook";
  font-style: normal;
  font-weight: 300;
  font-display: swap;
  src: url("../fonts/kook/woff2/KookFaNum-Light.woff2") format("woff2"),
    url("../fonts/kook/woff/KookFaNum-Light.woff") format("woff");
}

@font-face {
  font-family: "Kook";
  font-style: normal;
  font-weight: 400;
  font-display: swap;
  src: url("../fonts/kook/woff2/KookFaNum-Regular.woff2") format("woff2"),
    url("../fonts/kook/woff/KookFaNum-Regular.woff") format("woff");
}

@font-face {
  font-family: "Kook";
  font-style: normal;
  font-weight: 500;
  font-display: swap;
  src: url("../fonts/kook/woff2/KookFaNum-Medium.woff2") format("woff2"),
    url("../fonts/kook/woff/KookFaNum-Medium.woff") format("woff");
}

@font-face {
  font-family: "Kook";
  font-style: normal;
  font-weight: 700;
  font-display: swap;
  src: url("../fonts/kook/woff2/KookFaNum-Bold.woff2") format("woff2"),
    url("../fonts/kook/woff/KookFaNum-Bold.woff") format("woff");
}

@font-face {
  font-family: "Kook";
  font-style: normal;
  font-weight: 800;
  font-display: swap;
  src: url("../fonts/kook/woff2/KookFaNum-ExtraBold.woff2") format("woff2"),
    url("../fonts/kook/woff/KookFaNum-ExtraBold.woff") format("woff");
}

@font-face {
  font-display: swap;
  font-family: Peyda;
  font-style: normal;
  font-weight: 100;
  src: url("../fonts/Peyda/Peyda-Thin.ttf") format("truetype");
}

@font-face {
  font-display: swap;
  font-family: Peyda;
  font-style: normal;
  font-weight: 200;
  src: url("../fonts/Peyda/Peyda-extralight.ttf") format("truetype");
}

@font-face {
  font-display: swap;
  font-family: Peyda;
  font-style: normal;
  font-weight: 300;
  src: url("../fonts/Peyda/peyda-light.ttf") format("truetype");
}

@font-face {
  font-display: swap;
  font-family: Peyda;
  font-style: normal;
  font-weight: 400;
  src: url("../fonts/Peyda/Peyda-Regular.ttf") format("truetype");
}

@font-face {
  font-display: swap;
  font-family: Peyda;
  font-style: normal;
  font-weight: 500;
  src: url("../fonts/Peyda/Peyda-Medium.ttf") format("truetype");
}

@font-face {
  font-display: swap;
  font-family: Peyda;
  font-style: normal;
  font-weight: 600;
  src: url("../fonts/Peyda/Peyda-SemiBold.ttf") format("truetype");
}

@font-face {
  font-display: swap;
  font-family: Peyda;
  font-style: normal;
  font-weight: 700;
  src: url("../fonts/Peyda/Peyda-Bold.ttf") format("truetype");
}

@font-face {
  font-display: swap;
  font-family: Peyda;
  font-style: normal;
  font-weight: 800;
  src: url("../fonts/Peyda/Peyda-ExtraBold.ttf") format("truetype");
}

@font-face {
  font-display: swap;
  font-family: Peyda;
  font-style: normal;
  font-weight: 900;
  src: url("../fonts/Peyda/Peyda-Black.ttf") format("truetype");
}


[dir="rtl"],
html[dir="rtl"] {
  --font-primary: "Peyda", sans-serif;
  --font-secondary: "Peyda", sans-serif;
}

html[dir="rtl"] body {
  font-family: "Peyda", sans-serif;
  direction: rtl;
  text-align: start;
}

html[dir="rtl"] h1,
html[dir="rtl"] h2,
html[dir="rtl"] h3,
html[dir="rtl"] h4,
html[dir="rtl"] h5,
html[dir="rtl"] h6,
html[dir="rtl"] .h1,
html[dir="rtl"] .h2,
html[dir="rtl"] .h3,
html[dir="rtl"] .h4,
html[dir="rtl"] .h5,
html[dir="rtl"] .h6 {
  font-family: "Peyda", sans-serif;
  text-transform: none;
  letter-spacing: 0;
}

html[dir="rtl"] .wpr-desktop-menu .sub-menu {
  inset-inline-start: auto;
  inset-inline-end: 0;
}

html[dir="rtl"] .side-bar {
  inset-inline-start: auto;
  inset-inline-end: 0;
  transform: translateX(100%);
}

html[dir="rtl"] .side-bar.active {
  transform: translateX(0);
}

/* html[dir="rtl"] .arrow-track.right .arrow img {
  transform: scaleX(-1);
} */

html[dir="rtl"] .wpr-btn.with-icon .icon span {
  transform: scaleX(-1);
}

html[dir="rtl"] .wpr-btn.with-icon .icon span img {
  transform: none;
}

html[dir="rtl"] .fadeInLeft {
  animation-name: fadeInRight;
}

html[dir="rtl"] .fadeInRight {
  animation-name: fadeInLeft;
}

html[dir="rtl"] input[type="search"],
html[dir="rtl"] input[type="text"],
html[dir="rtl"] input[type="email"],
html[dir="rtl"] textarea {
  text-align: start;
}

html[dir="rtl"] .swiper-button-next {
  inset-inline-start: 10px;
  inset-inline-end: auto;
}

html[dir="rtl"] .swiper-button-prev {
  inset-inline-end: 10px;
  inset-inline-start: auto;
}

html[dir="rtl"] #goTop {
  inset-inline-start: 30px;
  inset-inline-end: auto;
}

html[dir="rtl"] .search-input-area #close {
  inset-inline-start: 30px;
  inset-inline-end: auto;
}

html[dir="rtl"] ul.list-unstyled.wpr-desktop-menu .sub-menu {
  text-align: start;
}

html[dir="rtl"] .mobile-menu-main .collapse.list-unstyled {
  padding-inline-start: 1rem;
  padding-inline-end: 0;
}
